source: trunk/gsdl3/config.status@ 5958

Last change on this file since 5958 was 5951, checked in by cs025, 20 years ago

Added autoconf first cut

  • Property svn:executable set to *
  • Property svn:keywords set to Author Date Id Revision
File size: 24.4 KB
Line 
1#! /bin/sh
2# Generated automatically by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8SHELL=${CONFIG_SHELL-/bin/sh}
9ac_cs_invocation="$0 $@"
10
11# Be Bourne compatible
12if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
13 emulate sh
14 NULLCMD=:
15elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
16 set -o posix
17fi
18
19# Name of the executable.
20as_me=`echo "$0" |sed 's,.*[\\/],,'`
21
22if expr a : '\(a\)' >/dev/null 2>&1; then
23 as_expr=expr
24else
25 as_expr=false
26fi
27
28rm -f conf$$ conf$$.exe conf$$.file
29echo >conf$$.file
30if ln -s conf$$.file conf$$ 2>/dev/null; then
31 # We could just check for DJGPP; but this test a) works b) is more generic
32 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
33 if test -f conf$$.exe; then
34 # Don't use ln at all; we don't have any links
35 as_ln_s='cp -p'
36 else
37 as_ln_s='ln -s'
38 fi
39elif ln conf$$.file conf$$ 2>/dev/null; then
40 as_ln_s=ln
41else
42 as_ln_s='cp -p'
43fi
44rm -f conf$$ conf$$.exe conf$$.file
45
46as_executable_p="test -f"
47
48# Support unset when possible.
49if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
50 as_unset=unset
51else
52 as_unset=false
53fi
54
55# NLS nuisances.
56$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
57$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
58$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
59$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
60$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
61$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
62$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
63$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
64
65# IFS
66# We need space, tab and new line, in precisely that order.
67as_nl='
68'
69IFS=" $as_nl"
70
71# CDPATH.
72$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
73
74exec 6>&1
75
76config_files=" packages/Makefile packages/mg/Makefile packages/mg/src/text/Makefile packages/mg/src/images/Makefile packages/mg/src/scripts/Makefile packages/mg/lib/Makefile Makefile packages/mgpp/lib/Makefile packages/mgpp/text/Makefile packages/mgpp/Makefile"
77config_headers=" config.h"
78
79ac_cs_usage="\
80\`$as_me' instantiates files from templates according to the
81current configuration.
82
83Usage: $0 [OPTIONS] [FILE]...
84
85 -h, --help print this help, then exit
86 -V, --version print version number, then exit
87 -d, --debug don't remove temporary files
88 --recheck update $as_me by reconfiguring in the same conditions
89 --file=FILE[:TEMPLATE]
90 instantiate the configuration file FILE
91 --header=FILE[:TEMPLATE]
92 instantiate the configuration header FILE
93
94Configuration files:
95$config_files
96
97Configuration headers:
98$config_headers
99
100Report bugs to <[email protected]>."
101ac_cs_version="\
102config.status
103configured by ./configure, generated by GNU Autoconf 2.50,
104 with options \" --host=i686-pc-linux-gnu --target=i686-pc-linux-gnu\"
105
106Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
107Free Software Foundation, Inc.
108This config.status script is free software; the Free Software Foundation
109gives unlimited permission to copy, distribute and modify it."
110srcdir=.
111INSTALL="/usr/bin/ginstall -c"
112# If no file are specified by the user, then we need to provide default
113# value. By we need to know if files were specified by the user.
114ac_need_defaults=:
115while test $# != 0
116do
117 case $1 in
118 --*=*)
119 ac_option=`expr "x$1" : 'x\([^=]*\)='`
120 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
121 shift
122 set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
123 shift
124 ;;
125 -*);;
126 *) # This is not an option, so the user has probably given explicit
127 # arguments.
128 ac_need_defaults=false;;
129 esac
130
131 case $1 in
132 # Handling of the options.
133 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
134 echo "running /bin/sh ./configure " --host=i686-pc-linux-gnu --target=i686-pc-linux-gnu " --no-create --no-recursion"
135 exec /bin/sh ./configure --host=i686-pc-linux-gnu --target=i686-pc-linux-gnu --no-create --no-recursion ;;
136 --version | --vers* | -V )
137 echo "$ac_cs_version"; exit 0 ;;
138 --he | --h)
139 # Conflict between --help and --header
140 { { echo "$as_me:4968: error: ambiguous option: $1
141Try \`$0 --help' for more information." >&5
142echo "$as_me: error: ambiguous option: $1
143Try \`$0 --help' for more information." >&2;}
144 { (exit 1); exit 1; }; };;
145 --help | --hel | -h )
146 echo "$ac_cs_usage"; exit 0 ;;
147 --debug | --d* | -d )
148 debug=: ;;
149 --file | --fil | --fi | --f )
150 shift
151 CONFIG_FILES="$CONFIG_FILES $1"
152 ac_need_defaults=false;;
153 --header | --heade | --head | --hea )
154 shift
155 CONFIG_HEADERS="$CONFIG_HEADERS $1"
156 ac_need_defaults=false;;
157
158 # Handling of arguments.
159 'packages/Makefile' ) CONFIG_FILES="$CONFIG_FILES packages/Makefile" ;;
160 'packages/mg/Makefile' ) CONFIG_FILES="$CONFIG_FILES packages/mg/Makefile" ;;
161 'packages/mg/src/text/Makefile' ) CONFIG_FILES="$CONFIG_FILES packages/mg/src/text/Makefile" ;;
162 'packages/mg/src/images/Makefile' ) CONFIG_FILES="$CONFIG_FILES packages/mg/src/images/Makefile" ;;
163 'packages/mg/src/scripts/Makefile' ) CONFIG_FILES="$CONFIG_FILES packages/mg/src/scripts/Makefile" ;;
164 'packages/mg/lib/Makefile' ) CONFIG_FILES="$CONFIG_FILES packages/mg/lib/Makefile" ;;
165 'Makefile' ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
166 '$srclist' ) CONFIG_FILES="$CONFIG_FILES $srclist" ;;
167 'config.h' ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
168
169 # This is an error.
170 -*) { { echo "$as_me:4998: error: unrecognized option: $1
171Try \`$0 --help' for more information." >&5
172echo "$as_me: error: unrecognized option: $1
173Try \`$0 --help' for more information." >&2;}
174 { (exit 1); exit 1; }; } ;;
175 *) { { echo "$as_me:5003: error: invalid argument: $1" >&5
176echo "$as_me: error: invalid argument: $1" >&2;}
177 { (exit 1); exit 1; }; };;
178 esac
179 shift
180done
181
182exec 5>>config.log
183cat >&5 << _ACEOF
184
185## ----------------------- ##
186## Running config.status. ##
187## ----------------------- ##
188
189This file was extended by $as_me 2.50, executed with
190 > $ac_cs_invocation
191on `(hostname || uname -n) 2>/dev/null | sed 1q`
192
193_ACEOF
194# If the user did not use the arguments to specify the items to instantiate,
195# then the envvar interface is used. Set only those that are not.
196# We use the long form for the default assignment because of an extremely
197# bizarre bug on SunOS 4.1.3.
198if $ac_need_defaults; then
199 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
200 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
201fi
202
203# Create a temporary directory, and hook for its removal unless debugging.
204$debug ||
205{
206 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
207 trap '{ (exit $?); exit $?; }' 1 2 13 15
208}
209
210# Create a (secure) tmp directory for tmp files.
211: ${TMPDIR=/tmp}
212{
213 tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
214 test -n "$tmp" && test -d "$tmp"
215} ||
216{
217 tmp=$TMPDIR/cs$$-$RANDOM
218 (umask 077 && mkdir $tmp)
219} ||
220{
221 echo "$me: cannot create a temporary directory in $TMPDIR" >&2
222 { (exit 1); exit 1; }
223}
224
225
226#
227# CONFIG_FILES section.
228#
229
230# No need to generate the scripts if there are no CONFIG_FILES.
231# This happens for instance when ./config.status config.h
232if test -n "$CONFIG_FILES"; then
233 # Protect against being on the right side of a sed subst in config.status.
234 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
235 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
236s,@SHELL@,/bin/sh,;t t
237s,@exec_prefix@,${prefix},;t t
238s,@prefix@,/usr/local,;t t
239s,@program_transform_name@,s,x,x,,;t t
240s,@bindir@,${exec_prefix}/bin,;t t
241s,@sbindir@,${exec_prefix}/sbin,;t t
242s,@libexecdir@,${exec_prefix}/libexec,;t t
243s,@datadir@,${prefix}/share,;t t
244s,@sysconfdir@,${prefix}/etc,;t t
245s,@sharedstatedir@,${prefix}/com,;t t
246s,@localstatedir@,${prefix}/var,;t t
247s,@libdir@,${exec_prefix}/lib,;t t
248s,@includedir@,${prefix}/include,;t t
249s,@oldincludedir@,/usr/include,;t t
250s,@infodir@,${prefix}/info,;t t
251s,@mandir@,${prefix}/man,;t t
252s,@PACKAGE_NAME@,,;t t
253s,@PACKAGE_TARNAME@,,;t t
254s,@PACKAGE_VERSION@,,;t t
255s,@PACKAGE_STRING@,,;t t
256s,@PACKAGE_BUGREPORT@,,;t t
257s,@ECHO_C@,,;t t
258s,@ECHO_N@,-n,;t t
259s,@ECHO_T@,,;t t
260s,@PATH_SEPARATOR@,:,;t t
261s,@DEFS@,-DHAVE_CONFIG_H,;t t
262s,@LIBS@,-lcrypt -lstdc++ -lm -lg ,;t t
263s,@PACKAGE@,gsdl3,;t t
264s,@VERSION@,0.1,;t t
265s,@CFLAGS@,-O2,;t t
266s,@CC@,gcc,;t t
267s,@LDFLAGS@,,;t t
268s,@CPPFLAGS@,,;t t
269s,@ac_ct_CC@,gcc,;t t
270s,@EXEEXT@,,;t t
271s,@OBJEXT@,o,;t t
272s,@CXX@,g++,;t t
273s,@CXXFLAGS@,-g -O2,;t t
274s,@ac_ct_CXX@,g++,;t t
275s,@AWK@,gawk,;t t
276s,@YACC@,bison -y,;t t
277s,@build@,i686-pc-linux-gnu,;t t
278s,@build_cpu@,i686,;t t
279s,@build_vendor@,pc,;t t
280s,@build_os@,linux-gnu,;t t
281s,@host@,i686-pc-linux-gnu,;t t
282s,@host_cpu@,i686,;t t
283s,@host_vendor@,pc,;t t
284s,@host_os@,linux-gnu,;t t
285s,@target@,i686-pc-linux-gnu,;t t
286s,@target_cpu@,i686,;t t
287s,@target_vendor@,pc,;t t
288s,@target_os@,linux-gnu,;t t
289s,@INSTALL_PROGRAM@,${INSTALL},;t t
290s,@INSTALL_SCRIPT@,${INSTALL},;t t
291s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
292s,@LN_S@,ln -s,;t t
293s,@SET_MAKE@,,;t t
294s,@RANLIB@,ranlib,;t t
295s,@ac_ct_RANLIB@,ranlib,;t t
296s,@CPP@,gcc -E,;t t
297s,@U@,,;t t
298s,@ANSI2KNR@,,;t t
299s,@ALLOCA@,,;t t
300s,@LIBOBJS@,,;t t
301s,@gsdlos@,linux,;t t
302s,@subdirs@, packages,;t t
303CEOF
304
305 # Split the substitutions into bite-sized pieces for seds with
306 # small command number limits, like on Digital OSF/1 and HP-UX.
307 ac_max_sed_lines=48
308 ac_sed_frag=1 # Number of current file.
309 ac_beg=1 # First line for current file.
310 ac_end=$ac_max_sed_lines # Line after last line for current file.
311 ac_more_lines=:
312 ac_sed_cmds=
313 while $ac_more_lines; do
314 if test $ac_beg -gt 1; then
315 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
316 else
317 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
318 fi
319 if test ! -s $tmp/subs.frag; then
320 ac_more_lines=false
321 else
322 # The purpose of the label and of the branching condition is to
323 # speed up the sed processing (if there are no `@' at all, there
324 # is no need to browse any of the substitutions).
325 # These are the two extra sed commands mentioned above.
326 (echo ':t
327 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
328 if test -z "$ac_sed_cmds"; then
329 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
330 else
331 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
332 fi
333 ac_sed_frag=`expr $ac_sed_frag + 1`
334 ac_beg=$ac_end
335 ac_end=`expr $ac_end + $ac_max_sed_lines`
336 fi
337 done
338 if test -z "$ac_sed_cmds"; then
339 ac_sed_cmds=cat
340 fi
341fi # test -n "$CONFIG_FILES"
342
343for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
344 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
345 case $ac_file in
346 - | *:- | *:-:* ) # input from stdin
347 cat >$tmp/stdin
348 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
349 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
350 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
351 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
352 * ) ac_file_in=$ac_file.in ;;
353 esac
354
355 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
356 ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
357 X"$ac_file" : 'X\(//\)[^/]' \| \
358 X"$ac_file" : 'X\(//\)$' \| \
359 X"$ac_file" : 'X\(/\)' \| \
360 . : '\(.\)' 2>/dev/null ||
361echo X"$ac_file" |
362 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
363 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
364 /^X\(\/\/\)$/{ s//\1/; q; }
365 /^X\(\/\).*/{ s//\1/; q; }
366 s/.*/./; q'`
367 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
368 { case "$ac_dir" in
369 [\\/]* | ?:[\\/]* ) as_incr_dir=;;
370 *) as_incr_dir=.;;
371esac
372as_dummy="$ac_dir"
373for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
374 case $as_mkdir_dir in
375 # Skip DOS drivespec
376 ?:) as_incr_dir=$as_mkdir_dir ;;
377 *)
378 as_incr_dir=$as_incr_dir/$as_mkdir_dir
379 test -d "$as_incr_dir" || mkdir "$as_incr_dir"
380 ;;
381 esac
382done; }
383
384 ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
385 # A "../" for each directory in $ac_dir_suffix.
386 ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
387 else
388 ac_dir_suffix= ac_dots=
389 fi
390
391 case $srcdir in
392 .) ac_srcdir=.
393 if test -z "$ac_dots"; then
394 ac_top_srcdir=.
395 else
396 ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
397 fi ;;
398 [\\/]* | ?:[\\/]* )
399 ac_srcdir=$srcdir$ac_dir_suffix;
400 ac_top_srcdir=$srcdir ;;
401 *) # Relative path.
402 ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
403 ac_top_srcdir=$ac_dots$srcdir ;;
404 esac
405
406 case $INSTALL in
407 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
408 *) ac_INSTALL=$ac_dots$INSTALL ;;
409 esac
410
411 if test x"$ac_file" != x-; then
412 { echo "$as_me:5251: creating $ac_file" >&5
413echo "$as_me: creating $ac_file" >&6;}
414 rm -f "$ac_file"
415 fi
416 # Let's still pretend it is `configure' which instantiates (i.e., don't
417 # use $as_me), people would be surprised to read:
418 # /* config.h. Generated automatically by config.status. */
419 configure_input="Generated automatically from `echo $ac_file_in |
420 sed 's,.*/,,'` by configure."
421
422 # First look for the input files in the build tree, otherwise in the
423 # src tree.
424 ac_file_inputs=`IFS=:
425 for f in $ac_file_in; do
426 case $f in
427 -) echo $tmp/stdin ;;
428 [\\/$]*)
429 # Absolute (can't be DOS-style, as IFS=:)
430 test -f "$f" || { { echo "$as_me:5269: error: cannot find input file: $f" >&5
431echo "$as_me: error: cannot find input file: $f" >&2;}
432 { (exit 1); exit 1; }; }
433 echo $f;;
434 *) # Relative
435 if test -f "$f"; then
436 # Build tree
437 echo $f
438 elif test -f "$srcdir/$f"; then
439 # Source tree
440 echo $srcdir/$f
441 else
442 # /dev/null tree
443 { { echo "$as_me:5282: error: cannot find input file: $f" >&5
444echo "$as_me: error: cannot find input file: $f" >&2;}
445 { (exit 1); exit 1; }; }
446 fi;;
447 esac
448 done` || { (exit 1); exit 1; }
449 sed "/^[ ]*VPATH[ ]*=/{
450s/:*\$(srcdir):*/:/;
451s/:*\${srcdir}:*/:/;
452s/:*@srcdir@:*/:/;
453s/^\([^=]*=[ ]*\):*/\1/;
454s/:*$//;
455s/^[^=]*=[ ]*$//;
456}
457
458:t
459/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
460s,@configure_input@,$configure_input,;t t
461s,@srcdir@,$ac_srcdir,;t t
462s,@top_srcdir@,$ac_top_srcdir,;t t
463s,@INSTALL@,$ac_INSTALL,;t t
464" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
465 rm -f $tmp/stdin
466 if test x"$ac_file" != x-; then
467 mv $tmp/out $ac_file
468 else
469 cat $tmp/out
470 rm -f $tmp/out
471 fi
472
473done
474
475#
476# CONFIG_HEADER section.
477#
478
479# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
480# NAME is the cpp macro being defined and VALUE is the value it is being given.
481#
482# ac_d sets the value in "#define NAME VALUE" lines.
483ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
484ac_dB='[ ].*$,\1#\2'
485ac_dC=' '
486ac_dD=',;t'
487# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
488ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
489ac_uB='$,\1#\2define\3'
490ac_uC=' '
491ac_uD=',;t'
492
493for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
494 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
495 case $ac_file in
496 - | *:- | *:-:* ) # input from stdin
497 cat >$tmp/stdin
498 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
499 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
500 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
501 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
502 * ) ac_file_in=$ac_file.in ;;
503 esac
504
505 test x"$ac_file" != x- && { echo "$as_me:5343: creating $ac_file" >&5
506echo "$as_me: creating $ac_file" >&6;}
507
508 # First look for the input files in the build tree, otherwise in the
509 # src tree.
510 ac_file_inputs=`IFS=:
511 for f in $ac_file_in; do
512 case $f in
513 -) echo $tmp/stdin ;;
514 [\\/$]*)
515 # Absolute (can't be DOS-style, as IFS=:)
516 test -f "$f" || { { echo "$as_me:5354: error: cannot find input file: $f" >&5
517echo "$as_me: error: cannot find input file: $f" >&2;}
518 { (exit 1); exit 1; }; }
519 echo $f;;
520 *) # Relative
521 if test -f "$f"; then
522 # Build tree
523 echo $f
524 elif test -f "$srcdir/$f"; then
525 # Source tree
526 echo $srcdir/$f
527 else
528 # /dev/null tree
529 { { echo "$as_me:5367: error: cannot find input file: $f" >&5
530echo "$as_me: error: cannot find input file: $f" >&2;}
531 { (exit 1); exit 1; }; }
532 fi;;
533 esac
534 done` || { (exit 1); exit 1; }
535 # Remove the trailing spaces.
536 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
537
538 # Handle all the #define templates only if necessary.
539 if egrep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
540 # If there are no defines, we may have an empty if/fi
541 :
542 cat >$tmp/defines.sed <<CEOF
543/^[ ]*#[ ]*define/!b
544t clr
545: clr
546${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"gsdl3"${ac_dD}
547${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.1"${ac_dD}
548${ac_dA}PROTOTYPES${ac_dB}PROTOTYPES${ac_dC}1${ac_dD}
549${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
550${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
551${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
552${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
553${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
554${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
555${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
556${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
557${ac_dA}HAVE_LIBG${ac_dB}HAVE_LIBG${ac_dC}1${ac_dD}
558${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
559${ac_dA}HAVE_LIBSTDC__${ac_dB}HAVE_LIBSTDC__${ac_dC}1${ac_dD}
560${ac_dA}HAVE_LIBCRYPT${ac_dB}HAVE_LIBCRYPT${ac_dC}1${ac_dD}
561${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
562${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
563${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
564${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
565${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
566${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
567${ac_dA}HAVE_CRYPT_H${ac_dB}HAVE_CRYPT_H${ac_dC}1${ac_dD}
568${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
569${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
570${ac_dA}HAVE_SYS_PROCFS_H${ac_dB}HAVE_SYS_PROCFS_H${ac_dC}1${ac_dD}
571${ac_dA}HAVE_FREAD_DECL${ac_dB}HAVE_FREAD_DECL${ac_dC}1${ac_dD}
572${ac_dA}HAVE_FGETC_DECL${ac_dB}HAVE_FGETC_DECL${ac_dC}1${ac_dD}
573${ac_dA}HAVE_ALLOCA_H${ac_dB}HAVE_ALLOCA_H${ac_dC}1${ac_dD}
574${ac_dA}HAVE_ALLOCA${ac_dB}HAVE_ALLOCA${ac_dC}1${ac_dD}
575${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
576${ac_dA}HAVE_VPRINTF${ac_dB}HAVE_VPRINTF${ac_dC}1${ac_dD}
577${ac_dA}HAVE_FTIME${ac_dB}HAVE_FTIME${ac_dC}1${ac_dD}
578${ac_dA}HAVE_SELECT${ac_dB}HAVE_SELECT${ac_dC}1${ac_dD}
579${ac_dA}HAVE_STRFTIME${ac_dB}HAVE_STRFTIME${ac_dC}1${ac_dD}
580${ac_dA}HAVE_STRTOL${ac_dB}HAVE_STRTOL${ac_dC}1${ac_dD}
581${ac_dA}HAVE_GETRUSAGE${ac_dB}HAVE_GETRUSAGE${ac_dC}1${ac_dD}
582${ac_dA}HAVE_TIMES${ac_dB}HAVE_TIMES${ac_dC}1${ac_dD}
583${ac_dA}HAVE_MALLINFO${ac_dB}HAVE_MALLINFO${ac_dC}1${ac_dD}
584CEOF
585 sed -f $tmp/defines.sed $tmp/in >$tmp/out
586 rm -f $tmp/in
587 mv $tmp/out $tmp/in
588
589 cat >$tmp/defines.sed <<CEOF
590/^[ ]*#[ ]*define/!b
591t clr
592: clr
593${ac_dA}HAVE_SETBUFFER${ac_dB}HAVE_SETBUFFER${ac_dC}1${ac_dD}
594${ac_dA}HAVE_GETPAGESIZE${ac_dB}HAVE_GETPAGESIZE${ac_dC}1${ac_dD}
595${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
596${ac_dA}HAVE_FTRUNCATE${ac_dB}HAVE_FTRUNCATE${ac_dC}1${ac_dD}
597${ac_dA}HAVE_STRSTR${ac_dB}HAVE_STRSTR${ac_dC}1${ac_dD}
598${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
599${ac_dA}ENABLE_NLS${ac_dB}ENABLE_NLS${ac_dC}1${ac_dD}
600CEOF
601 sed -f $tmp/defines.sed $tmp/in >$tmp/out
602 rm -f $tmp/in
603 mv $tmp/out $tmp/in
604
605 fi # egrep
606
607 # Handle all the #undef templates
608 cat >$tmp/undefs.sed <<CEOF
609/^[ ]*#[ ]*undef/!b
610t clr
611: clr
612${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"gsdl3"${ac_uD}
613${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.1"${ac_uD}
614${ac_uA}PROTOTYPES${ac_uB}PROTOTYPES${ac_uC}1${ac_uD}
615${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
616${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
617${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
618${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
619${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
620${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
621${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
622${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
623${ac_uA}HAVE_LIBG${ac_uB}HAVE_LIBG${ac_uC}1${ac_uD}
624${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
625${ac_uA}HAVE_LIBSTDC__${ac_uB}HAVE_LIBSTDC__${ac_uC}1${ac_uD}
626${ac_uA}HAVE_LIBCRYPT${ac_uB}HAVE_LIBCRYPT${ac_uC}1${ac_uD}
627${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
628${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
629${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
630${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
631${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
632${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
633${ac_uA}HAVE_CRYPT_H${ac_uB}HAVE_CRYPT_H${ac_uC}1${ac_uD}
634${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
635${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
636${ac_uA}HAVE_SYS_PROCFS_H${ac_uB}HAVE_SYS_PROCFS_H${ac_uC}1${ac_uD}
637${ac_uA}HAVE_FREAD_DECL${ac_uB}HAVE_FREAD_DECL${ac_uC}1${ac_uD}
638${ac_uA}HAVE_FGETC_DECL${ac_uB}HAVE_FGETC_DECL${ac_uC}1${ac_uD}
639${ac_uA}HAVE_ALLOCA_H${ac_uB}HAVE_ALLOCA_H${ac_uC}1${ac_uD}
640${ac_uA}HAVE_ALLOCA${ac_uB}HAVE_ALLOCA${ac_uC}1${ac_uD}
641${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
642${ac_uA}HAVE_VPRINTF${ac_uB}HAVE_VPRINTF${ac_uC}1${ac_uD}
643${ac_uA}HAVE_FTIME${ac_uB}HAVE_FTIME${ac_uC}1${ac_uD}
644${ac_uA}HAVE_SELECT${ac_uB}HAVE_SELECT${ac_uC}1${ac_uD}
645${ac_uA}HAVE_STRFTIME${ac_uB}HAVE_STRFTIME${ac_uC}1${ac_uD}
646${ac_uA}HAVE_STRTOL${ac_uB}HAVE_STRTOL${ac_uC}1${ac_uD}
647${ac_uA}HAVE_GETRUSAGE${ac_uB}HAVE_GETRUSAGE${ac_uC}1${ac_uD}
648${ac_uA}HAVE_TIMES${ac_uB}HAVE_TIMES${ac_uC}1${ac_uD}
649${ac_uA}HAVE_MALLINFO${ac_uB}HAVE_MALLINFO${ac_uC}1${ac_uD}
650CEOF
651 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
652 rm -f $tmp/in
653 mv $tmp/out $tmp/in
654
655 cat >$tmp/undefs.sed <<CEOF
656/^[ ]*#[ ]*undef/!b
657t clr
658: clr
659${ac_uA}HAVE_SETBUFFER${ac_uB}HAVE_SETBUFFER${ac_uC}1${ac_uD}
660${ac_uA}HAVE_GETPAGESIZE${ac_uB}HAVE_GETPAGESIZE${ac_uC}1${ac_uD}
661${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
662${ac_uA}HAVE_FTRUNCATE${ac_uB}HAVE_FTRUNCATE${ac_uC}1${ac_uD}
663${ac_uA}HAVE_STRSTR${ac_uB}HAVE_STRSTR${ac_uC}1${ac_uD}
664${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
665${ac_uA}ENABLE_NLS${ac_uB}ENABLE_NLS${ac_uC}1${ac_uD}
666s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
667CEOF
668 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
669 rm -f $tmp/in
670 mv $tmp/out $tmp/in
671
672 # Let's still pretend it is `configure' which instantiates (i.e., don't
673 # use $as_me), people would be surprised to read:
674 # /* config.h. Generated automatically by config.status. */
675 if test x"$ac_file" = x-; then
676 echo "/* Generated automatically by configure. */" >$tmp/config.h
677 else
678 echo "/* $ac_file. Generated automatically by configure. */" >$tmp/config.h
679 fi
680 cat $tmp/in >>$tmp/config.h
681 rm -f $tmp/in
682 if test x"$ac_file" != x-; then
683 if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
684 { echo "$as_me:5484: $ac_file is unchanged" >&5
685echo "$as_me: $ac_file is unchanged" >&6;}
686 else
687 ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
688 X"$ac_file" : 'X\(//\)[^/]' \| \
689 X"$ac_file" : 'X\(//\)$' \| \
690 X"$ac_file" : 'X\(/\)' \| \
691 . : '\(.\)' 2>/dev/null ||
692echo X"$ac_file" |
693 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
694 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
695 /^X\(\/\/\)$/{ s//\1/; q; }
696 /^X\(\/\).*/{ s//\1/; q; }
697 s/.*/./; q'`
698 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
699 { case "$ac_dir" in
700 [\\/]* | ?:[\\/]* ) as_incr_dir=;;
701 *) as_incr_dir=.;;
702esac
703as_dummy="$ac_dir"
704for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
705 case $as_mkdir_dir in
706 # Skip DOS drivespec
707 ?:) as_incr_dir=$as_mkdir_dir ;;
708 *)
709 as_incr_dir=$as_incr_dir/$as_mkdir_dir
710 test -d "$as_incr_dir" || mkdir "$as_incr_dir"
711 ;;
712 esac
713done; }
714
715 fi
716 rm -f $ac_file
717 mv $tmp/config.h $ac_file
718 fi
719 else
720 cat $tmp/config.h
721 rm -f $tmp/config.h
722 fi
723done
724
725{ (exit 0); exit 0; }
Note: See TracBrowser for help on using the repository browser.